触发爬虫进行实时收集(异步)
触发异步实时 Scraper Studio 采集。POST /dca/trigger_immediate 立即返回 response_id,用于从实时数据端点获取结果。
response_id。采集完成后,使用该 response_id 调用实时数据端点来获取结果。授权
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
查询参数
A unique identification of the collector to run
"COLLECTOR_ID"
Set to dev to trigger the development version of the scraper
请求体
A single input object. The fields must match the input schema defined for the collector. Some collectors take url, others take fields such as keyword, location or state.
Single input object whose fields match the collector input schema.
Example field for collectors that take a target URL. Replace with the fields your collector expects.
响应
Returns immediately with a response_id. Use this ID with the Realtime Data endpoint to retrieve the result.
ID of the asynchronous real-time job. Use this value to retrieve the result from the Realtime Data endpoint.